#include "board.h"

#include "py32f0xx_hal.h"

void BOARD_InitBootPins(void) {
    BOARD_InitLEDPins();
    BOARD_InitBPCPins();
}

void BOARD_InitLEDPins(void) {
    __HAL_RCC_GPIOB_CLK_ENABLE();

    GPIO_InitTypeDef init = {
        .Pin   = BOARD_LED_1_PIN | BOARD_LED_2_PIN | BOARD_LED_3_PIN,
        .Mode  = GPIO_MODE_OUTPUT_PP,
        .Speed = GPIO_SPEED_FREQ_LOW,
        .Pull  = GPIO_NOPULL,
    };

    HAL_GPIO_Init(BOARD_LED_1_PORT, &init);
}

void BOARD_InitBPCPins(void) {
    __HAL_RCC_GPIOA_CLK_ENABLE();

    GPIO_InitTypeDef init = {
        .Pin   = BOARD_BPC_PON_PIN,
        .Mode  = GPIO_MODE_OUTPUT_OD,
        .Speed = GPIO_SPEED_FREQ_LOW,
        .Pull  = GPIO_NOPULL,
    };

    HAL_GPIO_Init(BOARD_BPC_PON_PORT, &init);
}